package org.kink_lang.java11ho.main;

import java.lang.module.Configuration;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.stream.Collectors;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Hello {

    private static final Logger LOGGER = LoggerFactory.getLogger(Hello.class);

    public static void main(String[] args) {
        // ブートレイヤーの構成
        Configuration bootLayerConf = ModuleLayer.boot().configuration();

        // ブートレイヤーに含まれるモジュール名一覧
        SortedSet<String> modNames = new TreeSet<>(
                bootLayerConf.modules().stream()
                .map(m -> m.name())
                .collect(Collectors.toSet()));

        for (var name : modNames) {
            LOGGER.info("module: {}", name);
        }
    }
}

// vim: et sw=4 sts=4
